### Class

# Gtk SelectionFilterModel

since: 4.0

#### Description [src]

    final class Gtk.SelectionFilterModel : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

`GtkSelectionFilterModel` is a list model that presents the selection from a `GtkSelectionModel`.

Available since: 4.0

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_selection_filter_model_new

Creates a new `GtkSelectionFilterModel` that will include the selected items from the underlying selection model.

since: 4.0

#### Instance methods

###### gtk_selection_filter_model_get_model

Gets the model currently filtered or `NULL` if none.

since: 4.0

###### gtk_selection_filter_model_set_model

Sets the model to be filtered.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

since: 2.44

###### g_list_model_get_object

Get the item at `position`.

since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

since: 2.44

#### Properties

###### Gtk.SelectionFilterModel:item-type

The type of items. See `g_list_model_get_item_type()`.

since: 4.8

###### Gtk.SelectionFilterModel:model

The model being filtered.

since: 4.0

###### Gtk.SelectionFilterModel:n-items

The number of items. See `g_list_model_get_n_items()`.

since: 4.8

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

since: 2.44

#### Class structure

    struct GtkSelectionFilterModelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.